local EM = EVENT_MANAGER
local BWSavedVars = {}

local BWDefaults = {
	offset = {X=0,Y=0},
	alpha = 0.5,
	font = "Consolas",
	style = "normal",
	sounds = {
		fLevel = "",
		gLevel = "",
		fZone = "",
		gZone = "",
		fStat = "",
		gStat = "",
		fChange = "",
		gChange = "",
		gRank = ""
	},
	size = 14,
	friends = {
		all = true,
		logged = true,
		leveled = true,
		zoned = true,
		changed = true
	},
	guilds = {
		all = true,
		logged = true,
		leveled = true,
		zoned = true,
		changed = true,
		ranked = true
	}
}

function BuddyWindow.setupSavedVars()
	BWSavedVars = ZO_SavedVars:New( "BuddyWindow_SavedVars", 11, nil , BWDefaults, nil)
	return BWSavedVars
end

local function Init(event, name)
	if name == "BuddyWindow" then
		EM:UnregisterForEvent("BW_SavedVars",event)
		BuddyWindow.setupSavedVars()
	end
end

EM:RegisterForEvent("BW_SavedVars",EVENT_ADD_ON_LOADED,Init)